Documentation

Getting started

Maps API aims to make you have the much cheaper option than google maps API with a slightly different in performance. This API is in staging in environment, if you want to use our production url, please contact us.

V1 Reverse Geocode

Returns a list of locations search based on long lat

post

This endpoint search nearest location based on long lat

body
Query parameters
limitintegerOptional

Limit locations retrieved

Example: 5
Responses
chevron-right
200

A JSON array of location

application/json

Your requests data

messagestringOptional

Your status message

Example: SUCCESS
codestringOptional

Your code related to status message

Example: 01
processed_timenumberOptional

Your processing time

Example: 1.2314
post
/maps/revgeocode

V1 Autocomplete

Returns a list of locations search based on query text

get

This endpoint search nearest location based on query text

Query parameters
qstringRequired

Query string from location

Example: menara+tendean
lngnumberOptional

Your longitude

Example: 106.827205
latnumberOptional

Your latitude

Example: -6.168287
limitintegerOptional

Limit locations retrieved

Example: 5
Responses
chevron-right
200

A JSON array of address with cluster and subcluster

application/json

Your requests data

messagestringOptional

Your status message

Example: SUCCESS
codestringOptional

Your code related to status message

Example: 01
processed_timenumberOptional

Your processing time

Example: 1.2314
get
/maps/autocomplete

Last updated